## mkdocs-material 8.2.5

=== requirements.txt ===
# Copyright (c) 2016-2022 Martin Donath <martin.donath@squidfunk.com>

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

# Direct dependencies
jinja2>=2.11.1
markdown>=3.2
mkdocs>=1.2.3
mkdocs-material-extensions>=1.0
pygments>=2.10
pymdown-extensions>=9.0

=== debian/changelog ===
mkdocs-material (8.2.5-1) unstable; urgency=medium

  * New upstream release; Closes: #1007996
  * debian/copyright
    - update upstream copyright notice
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Mon, 21 Mar 2022 18:13:02 -0400

mkdocs-material (8.1.3-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/2.20211216-morph; Closes: #971574

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Dec 2021 21:02:33 -0500

=== debian/control ===
Source: mkdocs-material
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               mkdocs,
               python3-all,
               python3-jinja2,
               python3-markdown,
               python3-pygments,
               python3-setuptools,
Standards-Version: 4.6.0.1
Homepage: https://squidfunk.github.io/mkdocs-material/
Vcs-Git: https://salsa.debian.org/debian/mkdocs-material.git
Vcs-Browser: https://salsa.debian.org/debian/mkdocs-material

Package: mkdocs-material
Architecture: all
Depends: mkdocs,
         ${misc:Depends},
         ${python3:Depends},
Description: Material Design theme for MkDocs
 Create a branded static site from a set of Markdown files to host the
 documentation of your Open Source or commercial project – customizable,
 searchable, mobile-friendly, 40+ languages. Set up in 5 minutes.
 .
 Features:
 .
   * It's just Markdown — write your technical documentation in plain Markdown –
     no need to know HTML, JavaScript, or CSS. Material for MkDocs will do the
     heavy lifting and convert your writing to a beautiful and functional
     website.
 .
   * Responsive by design — built from the ground up to work on all sorts of
     devices – from mobile phones to widescreens. The underlying fluid layout
     will always adapt perfectly to the available screen space.
 .
   * Static, yet searchable — almost magically, your technical documentation
     website will be searchable without any further ado. Material for MkDocs
     comes with built-in search – no server needed – that will instantly answer
     your users' queries.
 .
   * Many configuration options — change the color palette, font families,
     language, icons, favicon and logo. Add a source repository link, links to
     your social profiles, Google Analytics and Disqus - all with a few lines of
     code.
 .
   * Truly international — thanks to many contributors, Material for MkDocs
     includes translations for more than 40 languages and offers full native RTL
     uright-to-left) support for languages such as Arabic, Persian (Farsi) and
     Hebrew.
 .
   * Accessible — Material for MkDocs provides extensible keyboard navigation
     and  semantic markup including role attributes and landmarks. Furthermore,
     the layout is entirely based on rem values, respecting the user's default
     font size.
 .
   * Beyond GitHub Markdown — integrates natively with Python Markdown
     Extensions, offering additional elements like callouts, tabbed content
     containers, mathematical formulas, critic markup, task lists, and emojis.
 .
   * Modern architecture — Material for MkDocs's underlying codebase is built
     with TypeScript, RxJS, and SCSS, and is compiled with Webpack, bringing
     excellent possibilities for theme extension and customization.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/mkdocs/themes/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 /usr/share/mkdocs/themes/

## mkdocs-material 9.4.0

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2016-2022 Martin Donath <martin.donath@squidfunk.com>
+# Copyright (c) 2016-2023 Martin Donath <martin.donath@squidfunk.com>
 
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -18,10 +18,17 @@
 # FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 # IN THE SOFTWARE.
 
-# Direct dependencies
-jinja2>=2.11.1
-markdown>=3.2
-mkdocs>=1.2.3
-mkdocs-material-extensions>=1.0
-pygments>=2.10
-pymdown-extensions>=9.0
+# Requirements for core
+jinja2~=3.0
+markdown~=3.2
+mkdocs~=1.5,>=1.5.3
+mkdocs-material-extensions~=1.2
+pygments~=2.16
+pymdown-extensions~=10.2
+
+# Requirements for plugins
+babel~=2.10
+colorama~=0.4
+paginate~=0.5
+regex~=2022.4
+requests~=2.26

=== debian/changelog ===
mkdocs-material (9.4.0-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Feb 2024 01:24:06 -0500

mkdocs-material (9.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Do not install files under /usr/share/ via override.
    The override does not work after switching to pyproject build, and will break
    dh_python3 handling. (Closes: #1062582)

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Feb 2024 14:14:23 -0500

mkdocs-material (9.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release; Closes: #1016703
  * debian/control
    - use plugin-pyproject and add hatchling, hatch-nodejs-version and
      hatch-requirements-txt to d-i, needed to build the newer upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 22 Sep 2023 02:45:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: mkdocs-material
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                mkdocs,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-hatch-nodejs-version,
+               python3-hatch-requirements-txt,
+               python3-hatchling,
                python3-jinja2,
                python3-markdown,
                python3-pygments,

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/squidfunk/mkdocs-material/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## mkdocs-material 9.5.18

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2016-2023 Martin Donath <martin.donath@squidfunk.com>
+# Copyright (c) 2016-2024 Martin Donath <martin.donath@squidfunk.com>
 
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -21,8 +21,8 @@
 # Requirements for core
 jinja2~=3.0
 markdown~=3.2
-mkdocs~=1.5,>=1.5.3
-mkdocs-material-extensions~=1.2
+mkdocs~=1.5.3
+mkdocs-material-extensions~=1.3
 pygments~=2.16
 pymdown-extensions~=10.2
 
@@ -30,5 +30,5 @@
 babel~=2.10
 colorama~=0.4
 paginate~=0.5
-regex~=2022.4
+regex>=2022.4
 requests~=2.26

=== debian/changelog ===
mkdocs-material (9.5.18-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    + The last upstream release compatible with mkdocs 1.5.x.
  * debian/control: Add new build-dependencies.
    + We still miss pypi:pymdown-extensions.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Apr 2024 22:55:02 -0400

mkdocs-material (9.4.0-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Add build-dependency on python3-paginate.
    (Closes: #1063875)
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Apr 2024 22:30:45 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               mkdocs,
+               mkdocs (>= 1.5.3~),
+               mkdocs-material-extensions (>= 1.3~),
                pybuild-plugin-pyproject,
                python3-all,
                python3-hatch-nodejs-version,
@@ -12,9 +13,12 @@
                python3-hatchling,
                python3-jinja2,
                python3-markdown,
+               python3-paginate,
                python3-pygments,
+               python3-regex (>= 0.1.20220401),
                python3-setuptools,
-Standards-Version: 4.6.0.1
+               python3-trove-classifiers (>= 2023.10.18~),
+Standards-Version: 4.7.0
 Homepage: https://squidfunk.github.io/mkdocs-material/
 Vcs-Git: https://salsa.debian.org/debian/mkdocs-material.git
 Vcs-Browser: https://salsa.debian.org/debian/mkdocs-material

## mkdocs-material 9.5.49

=== requirements.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # Requirements for core
 jinja2~=3.0
 markdown~=3.2
-mkdocs~=1.5.3
+mkdocs~=1.6
 mkdocs-material-extensions~=1.3
 pygments~=2.16
 pymdown-extensions~=10.2

=== debian/changelog ===
mkdocs-material (9.5.49-1) unstable; urgency=medium

  * QA upload.
  * New upstream release requiring mkdocs 1.6.x.
  * debian/control: Bump version requirement for mkdocs.
  * debian/control: Add missing build-dep python3-pymdownx.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2025 11:47:26 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               mkdocs (>= 1.5.3~),
+               mkdocs (>= 1.6),
                mkdocs-material-extensions (>= 1.3~),
                pybuild-plugin-pyproject,
                python3-all,
@@ -15,6 +15,7 @@
                python3-markdown,
                python3-paginate,
                python3-pygments,
+               python3-pymdownx,
                python3-regex (>= 0.1.20220401),
                python3-setuptools,
                python3-trove-classifiers (>= 2023.10.18~),

## mkdocs-material 9.5.50

=== debian/changelog ===
mkdocs-material (9.5.50-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 14:58:31 -0500

## mkdocs-material 9.6.1

=== debian/changelog ===
mkdocs-material (9.6.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/copyright: Refresh information.
  * debian/mkdocs-material.lintian-overrides: Added.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Feb 2025 09:43:56 -0500

## mkdocs-material 9.6.2

=== debian/changelog ===
mkdocs-material (9.6.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Feb 2025 15:20:03 -0500

## mkdocs-material 9.6.4

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2016-2024 Martin Donath <martin.donath@squidfunk.com>
+# Copyright (c) 2016-2025 Martin Donath <martin.donath@squidfunk.com>
 
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to

=== debian/changelog ===
mkdocs-material (9.6.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Feb 2025 10:06:55 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                mkdocs (>= 1.6),
                mkdocs-material-extensions (>= 1.3~),
                pybuild-plugin-pyproject,
